curl --location --request PUT 'https://api-dev.commandroom.ai/api/api/tasks/42?load=assignees%2Ctags&loadCount=comments%2Cfiles' \
--header 'Authorization: Bearer {{token}}' \
--header 'X-Tenant-UUID: ' \
--header 'Content-Type: application/json' \
--data '{
"project_id": 1,
"task_group_id": 1,
"title": "Sample Title",
"overview": "string",
"objective": "string",
"description": "Sample description text.",
"priority": "low",
"status": "todo",
"stage": "ideation",
"start_date": "2026-01-15",
"due_date": "2026-01-15",
"sort": 1,
"key_result": "string",
"assigned_engineer_id": 1,
"assignees": [
{
"user_id": 1
}
],
"tags": [
{
"tag_id": 1
}
],
"data": {},
"average_salary_per_hour": 1.5,
"cost_per_min_ai": 1.5,
"forecast_time_ai_completion": 1.5,
"times_run_per_month": 1.5,
"execution_threshold_lower": 1.5,
"execution_threshold_upper": 1.5,
"confidence": "high",
"effort": "high",
"impact": "high",
"reach": "high",
"rice_score": 1.5,
"build_requirements": "string",
"org_chart_node_ai_automation_id": 1
}'